<?php include 'header.php'; ?>
<h3>Mail</h3>
<p>Hextilde provides mail accounts for its users</p>
<p>To access it, you can use our <a href="https://mail.hextilde.xyz">webmail</a> or setup your mail client</p>
<h4>Mail clients setup</h4>
<h5>mutt/neomutt</h5>
<p>Mutt is mail client that you can use via terminal. Neomutt is extended version of it. Their configs are pretty similar</p>
<p>Hextilde has both installed, so you can just run it there.</p>
<p>Default config file for mutt is in <code>~/.muttrc</code> and default config file for neomutt is in <code>~/.config/neomuttrc</code> (but neomutt can also use <code>~/.muttrc</code> if main config is not avalible)</p>
<p>Config</p>
<code>
set hostname=mail.hextilde.xyz <br>
set imap_user=username <br>
set imap_pass="password" <br>
<br>
set folder=imap://$imap_user@mail.hextilde.xyz <br>
<br>
set spoolfile=+INBOX <br>
<br>
set imap_check_subscribed <br>
set header_cache=~/.cache/mutt <br>
set message_cachedir="~/.cache/mutt" <br>
unset imap_passive <br>
set imap_keepalive=300 <br>
set mail_check=120 <br>
<br>
set record=+Sent <br>
set realname='username' <br>
set from=username@hextilde.xyz <br>
set use_from=yes <br>
<br>
set sendmail = "/usr/bin/msmtp" <br>
</code>
<p>You also need to configure MSMTP to send your messages</p>
<code>
defaults<br>
auth    on<br>
tls             on<br>
logfile ~/.msmtp.log<br>
<br>
account         hextilde<br>
host            mail.hextilde.xyz<br>
port            587<br>
from            username@hextilde.xyz<br>
user            username@hextilde.xyz<br>
password        password<br>
<br>
account default : hextilde<br>
</code>
<p>Now try to run <code>mutt</code> or <code>neomutt</code> to see if it works</p>
<p>Congratulations, you setupped your mail client and now you can send and receive emails</p>
<p>If you would like to learn more about neomutt check their <a href="https://neomutt.org/">official website</a></p>
<?php include 'footer.php'; ?>
